using Godot;
using System.Collections;
using System.Collections.Generic;
using System;

namespace Rokojori
{
  public class CustomCurve3:Curve3
  {
    Func<float,Vector3> _customFunction;

    public CustomCurve3( Func<float,Vector3> customFunction )
    {
      _customFunction = customFunction;      
    }

    public override Vector3 PositionAt( float t )
    {
      return _customFunction( t );
    }
  }
}